Change a webhook's URL, events, description or enabled flag (staff)
PATCH /api/automations/webhooks/{id}. Change a webhook's URL, events, description or enabled flag (staff). Headless LMS Automations API reference.
Staff only (owner, admin, instructor). Changes only the fields sent. 400 when an event is reserved or unknown.
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/automations/webhooks/string" \ -H "Content-Type: application/json" \ -d '{}'{ "orgId": "string", "id": "string", "url": "string", "events": [ "string" ], "description": "string", "enabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Get a webhook (staff) GET
GET /api/automations/webhooks/{id}. Get a webhook (staff). Headless LMS Automations API reference.
Delete a webhook and its signing secret (staff) DELETE
DELETE /api/automations/webhooks/{id}. Delete a webhook and its signing secret (staff). Headless LMS Automations API reference.